EFETCH(1)

NAME
efetch, esummary - retrieve results from an NCBI Entrez search

SYNOPSIS
efetch (edirect -fetch) [-help] [-format fmt] [-mode mode] [-style style] [-db name] [-id ID] [-input filename] [-seq_start N] [-seq_stop N] [-strand N] [-forward] [-revcomp] [-chr_start N] [-chr_stop N] [-complexity N] [-extend N] [-extrafeat N] [-showgaps] [-start N] [-stop N] [-raw] [-json] [-examples] esummary (edirect -summary) [-help] [-mode mode] [-style style] [-db name] [-id ID] [-input filename] [-seq_start N] [-seq_stop N] [-strand N] [-forward] [-revcomp] [-chr_start N] [-chr_stop N] [-complexity N] [-extend N] [-extrafeat N] [-showgaps] [-start N] [-stop N] [-raw] [-json] [-examples]

DESCRIPTION
efetch and esummary retrieve results from either an edirect(1) pipeline or an immediate lookup (via -db and -id or -input). esummary is equivalent to efetch -format docsum. Both have two implementations: a shell implementation on top of nquire(1) and a historical Perl implementation that amounts to running edirect -fetch or edirect -summary, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section. Some options are implementation-specific, as detailed below. efetch is also the name of an AceDB tool for consulting local sequence databases. To resolve this ambiguity, Debian systems with both AceDB tools and Entrez Direct installed arrange for AceDB's executable to have the name efetch.acedb(1) and for efetch to be a wrapper script that examines its usage and proceeds to run whichever of edirect -fetch or efetch.acedb(1) looks like a better fit.

OPTIONS

  Format Selection

-format fmt
    Format of record or report. (See -help output for examples.)

-mode mode
    text, xml, asn.1, or json.

-style style
    master (shell implementation only), withparts (Perl implementation only), or conwithfeat.

  Direct Record Selection

-db name
    Entrez database name for immediate lookups.

-id ID
    Unique identifier or accession for immediate lookups.

-input filename (shell implementation only)
    Read identifer(s) from file instead of standard input.

  Sequence Range

-seq_start N
    First sequence position to retrieve (1-based).

-seq_stop N
    Last sequence position to retrieve (1-based).

-strand N
    Strand of DNA to retrieve: 1 for forward (plus), 2 for reverse complement (minus).

-forward (shell implementation only)
    Shortcut for -strand 1.

-revcomp
    Shortcut for -strand 2.

  Gene Range

-chr_start N
    First sequence position to retrieve (0-based).

-chr_stop N
    Last sequence position to retrieve (0-based).

  Sequence Flags

-complexity N
    How much context to fetch:
    0   default
    1   Bioseq
    3   Nuc-prot set

-extend N
    Extend sequence retrieval by N residues in both directions.

-extrafeat N
    Bit flag specifying extra features.

-showgaps (shell implementation only)
    Propagate component gaps.

  Subset Retrieval

-start N
    First record to fetch.

-stop N
    Last record to fetch.

  Miscellaneous

-raw
    Skip database-specific XML modifications.

-json
    Convert adjusted XML output to JSON.

-help
    Print usage information, complete with examples of notable -db/-format/-mode combinations.

  Accession Mapping

-examples
    Print esummary examples with accessions in the -id field.

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
eblast(1), edirect(1), efetch.acedb(1), esample(1), esearch(1), exclude-uid-lists(1), intersect-uid-lists(1), nquire(1), rchive(1), transmute(1), xml2tbl(1), xtract(1).